#ifndef lint
static char sccsid[] = "@(#)ne_conf.c	1.4 12/16/91 Interphase";
#endif

/***************************************************************************
 * This code is copyright 1991 by Interphase Corporation.		   *
 * All rights reserved.							   *
 *									   *
 * This code contains confidential information and trade secrets of	   *
 * Interphase Corporation which shall not be reproduced or	           *
 * transferred to other programs or disclosed to others or used for	   *
 * manufacturing or any other purpose without prior written permission of  *
 * Interphase Corporation.  Use of copyright notice is precautionary       *
 * and does not imply publication or intent thereof.			   *
 ***************************************************************************/


#include "ne.h"

#include <sys/types.h>
#include <sys/uio.h>
#include <sys/param.h>
#include <sys/buf.h>
#include <sys/filio.h>
#include <sys/mbuf.h>
#include <sys/socket.h>
#include <net/if.h>
#include <net/if_arp.h>
#include <netinet/in.h>
#include <netinet/if_ether.h>

#include <sundev/mbvar.h>
#include <sundev/nereg.h>

unsigned int nne = NNE;

#if NNE > 0
struct mb_device *neinfo[NNE];

struct ne_softc ne_softc[NNE];

unsigned int ne_dnld_proc[NNE];

unsigned int ne_watchdog[NNE];
unsigned int ne_watchdog_proc[NNE];

struct ne_usrstat ne_stat_response[NNE];
unsigned int ne_stat_proc[NNE];

struct ne_elstat ne_elstat_response[NNE];
unsigned int ne_elstat_proc[NNE];

struct ne_rpcstat ne_rpcstat_response[NNE];
unsigned int ne_rpcstat_proc[NNE];

unsigned int ne_ptob_proc[NNE];
unsigned int ne_swup_proc[NNE];
unsigned int ne_vers_proc[NNE];

struct ne_txqueue_ctl ne_txqueue_ctl[NNE];

/*
 *  use_host_enet_addr is used to control the ethernet address of NC's.
 *  If set to 1 (default), the host's ethernet address retrieved from
 *  EPROM will be used as the ethernet address of the NC's.  Otherwise
 *  if reset (== 0), native ethernet address of the NC's (factory
 *  specified ethernet address in NC's non volatile RAM) will be used
 *  instead.
 */
unsigned int use_host_enet_addr = 1;

/*
 * Do not modify the following variables under any circumstances without
 * prior guidance by a qualified Interphase representative.
 */
#ifdef sun4
unsigned int ne_dvma_size[NNE_MAX] = {192, 160, 104, 80, 80, 80, 80, 80};
unsigned int ne_dvma_nfssz[NNE_MAX] = {166, 134, 91, 67, 67, 67, 67, 67};

#else sun4
unsigned int	ne_num_H2B_dlblk= NE_NUM_H2B_DLBLK;
unsigned int	ne_num_B2H_dlblk= NE_NUM_B2H_DLBLK;
unsigned int	ne_max_nfs	= NE_MAX_NFS;
#endif sun4

#endif
